Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.support
Class ProxyServiceConfiguration

    java.lang.Object
      org.apache.cxf.service.factory.AbstractServiceConfiguration
          org.apache.cxf.service.factory.DefaultServiceConfiguration
              org.mule.module.cxf.support.ProxyServiceConfiguration

    public class ProxyServiceConfiguration

extends org.apache.cxf.service.factory.DefaultServiceConfiguration

Field Summary

Fields inherited from class org.apache.cxf.service.factory.AbstractServiceConfiguration
`serviceNamespace`

Constructor Summary
`ProxyServiceConfiguration()`

Method Summary
`protected List<QName>` | `getAllServices(javax.wsdl.Definition definition)` This method returns a list of all the services defined in the definition.
`QName` | `getEndpointName()` Override to use port name from service definition in WSDL when we are doing WSDL-first.
`protected List<QName>` | `getProbableServices(javax.wsdl.Definition definition)` This method returns the list of services that matches with the local part of the service QName.
`protected javax.wsdl.Service` | `getServiceFromDefinition(javax.wsdl.Definition definition)`

Methods inherited from class org.apache.cxf.service.factory.DefaultServiceConfiguration
`createName, getFaultName, getHolderType, getInParameterName, getInPartName, getInputMessageName, getInterfaceName, getOperationName, getOutParameterName, getOutPartName, getOutputMessageName, getServiceName, getServiceNamespace, getWrapperPartMaxOccurs, getWrapperPartMinOccurs, hasOutMessage, isAsync, isHeader, isHolder, isInParam, isOperation, isOutParam, isWrapped, isWrapperPartNillable`

Methods inherited from class org.apache.cxf.service.factory.AbstractServiceConfiguration
`getAction, getFaultMessageName, getMEP, getRequestWrapper, getRequestWrapperClassName, getRequestWrapperName, getRequestWrapperPartName, getResponseWrapper, getResponseWrapperClassName, getResponseWrapperName, getResponseWrapperPartName, getServiceFactory, getStyle, getWsdlURL, isRPC, isWrapped, isWrapperPartQualified, setServiceFactory, setServiceNamespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyServiceConfiguration

    public ProxyServiceConfiguration()

Method Detail

### getEndpointName

    public QName getEndpointName()

  Override to use port name from service definition in WSDL when we are doing WSDL-first. This is required so that CXF's internal endpointName and port name match and a CXF Service gets created. See: https://issues.apache.org/jira/browse/CXF-1920 http://fisheye6.atlassian.com/changelog/cxf?cs=737994

  Overrides:
    `getEndpointName` in class `org.apache.cxf.service.factory.DefaultServiceConfiguration`

### getServiceFromDefinition

    protected javax.wsdl.Service getServiceFromDefinition(javax.wsdl.Definition definition)

### getAllServices

    protected List<QName> getAllServices(javax.wsdl.Definition definition)

  This method returns a list of all the services defined in the definition. Its current purpose is only for generating a better error message when the service cannot be found.

  Parameters:
    `definition` -
  Returns:

### getProbableServices

    protected List<QName> getProbableServices(javax.wsdl.Definition definition)

  This method returns the list of services that matches with the local part of the service QName. Its current purpose is only for generating a better error message when the service cannot be found.

  Parameters:
    `definition` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.